# This file is part of the Sylius package.
# (c) Paweł Jędrzejewski

default:
    suites:
        ui_checkout:
            contexts:
                - sylius.behat.context.hook.doctrine_orm
                - sylius.behat.context.hook.mailer

                - sylius.behat.context.transform.address
                - sylius.behat.context.transform.country
                - sylius.behat.context.transform.channel
                - sylius.behat.context.transform.currency
                - sylius.behat.context.transform.customer
                - sylius.behat.context.transform.lexical
                - sylius.behat.context.transform.locale
                - sylius.behat.context.transform.order
                - sylius.behat.context.transform.payment
                - sylius.behat.context.transform.product
                - sylius.behat.context.transform.product_option
                - sylius.behat.context.transform.province
                - sylius.behat.context.transform.shared_storage
                - sylius.behat.context.transform.shipping_category
                - sylius.behat.context.transform.shipping_method
                - sylius.behat.context.transform.tax_category
                - sylius.behat.context.transform.user
                - sylius.behat.context.transform.zone

                - sylius.behat.context.setup.address
                - sylius.behat.context.setup.admin_user
                - sylius.behat.context.setup.channel
                - sylius.behat.context.setup.currency
                - sylius.behat.context.setup.customer
                - sylius.behat.context.setup.cart
                - sylius.behat.context.setup.exchange_rate
                - sylius.behat.context.setup.geographical
                - sylius.behat.context.setup.locale
                - sylius.behat.context.setup.payment
                - sylius.behat.context.setup.product
                - sylius.behat.context.setup.promotion
                - sylius.behat.context.setup.shop_security
                - sylius.behat.context.setup.shipping
                - sylius.behat.context.setup.shipping_category
                - sylius.behat.context.setup.taxation
                - sylius.behat.context.setup.user
                - sylius.behat.context.setup.zone
                - Tests\Sylius\PayPalPlugin\Behat\Context\Setup\PaymentPayPalContext

                - sylius.behat.context.ui.admin.managing_orders
                - sylius.behat.context.ui.channel
                - sylius.behat.context.ui.email
                - sylius.behat.context.ui.shop.address_book
                - sylius.behat.context.ui.shop.cart
                - sylius.behat.context.ui.shop.checkout
                - sylius.behat.context.ui.shop.checkout.addressing
                - sylius.behat.context.ui.shop.checkout.complete
                - sylius.behat.context.ui.shop.checkout.payment
                - sylius.behat.context.ui.shop.checkout.shipping
                - sylius.behat.context.ui.shop.checkout.thank_you
                - sylius.behat.context.ui.shop.checkout.registration_after_checkout
                - sylius.behat.context.ui.shop.currency
                - sylius.behat.context.ui.shop.homepage
                - sylius.behat.context.ui.shop.locale

            filters:
                tags: "@checkout&&@ui"
        ui_managing_payment_methods:
            contexts:
                - sylius.behat.context.hook.doctrine_orm

                - sylius.behat.context.transform.address
                - sylius.behat.context.transform.channel
                - sylius.behat.context.transform.country
                - sylius.behat.context.transform.customer
                - sylius.behat.context.transform.order
                - sylius.behat.context.transform.payment
                - sylius.behat.context.transform.product
                - sylius.behat.context.transform.shared_storage
                - sylius.behat.context.transform.shipping_method
                - sylius.behat.context.transform.zone
                - sylius.behat.context.transform.lexical

                - sylius.behat.context.setup.admin_security
                - sylius.behat.context.setup.channel
                - sylius.behat.context.setup.customer
                - sylius.behat.context.setup.geographical
                - sylius.behat.context.setup.order
                - sylius.behat.context.setup.payment
                - sylius.behat.context.setup.product
                - sylius.behat.context.setup.shipping
                - sylius.behat.context.setup.zone

                - Tests\Sylius\PayPalPlugin\Behat\Context\Setup\PaymentPayPalContext

                - sylius.behat.context.ui.admin.managing_payment_methods
                - sylius.behat.context.ui.channel
                - sylius.behat.context.ui.email
                - sylius.behat.context.ui.shop.cart

                - Tests\Sylius\PayPalPlugin\Behat\Context\Admin\ManagingPaymentMethodsContext
            filters:
                tags: "@managing_payment_methods&&@ui"
        ui_managing_orders:
            contexts:
                - sylius.behat.context.hook.calendar
                - sylius.behat.context.hook.doctrine_orm
                - sylius.behat.context.hook.mailer

                - sylius.behat.context.setup.admin_security
                - sylius.behat.context.setup.admin_user
                - sylius.behat.context.setup.calendar
                - sylius.behat.context.setup.channel
                - sylius.behat.context.setup.currency
                - sylius.behat.context.setup.customer
                - sylius.behat.context.setup.geographical
                - sylius.behat.context.setup.locale
                - sylius.behat.context.setup.order
                - sylius.behat.context.setup.payment
                - sylius.behat.context.setup.product
                - sylius.behat.context.setup.product_taxon
                - sylius.behat.context.setup.promotion
                - sylius.behat.context.setup.shipping
                - sylius.behat.context.setup.shop_security
                - sylius.behat.context.setup.taxation
                - sylius.behat.context.setup.taxonomy
                - sylius.behat.context.setup.user
                - sylius.behat.context.setup.zone

                - Tests\Sylius\PayPalPlugin\Behat\Context\Setup\PaymentPayPalContext

                - sylius.behat.context.transform.address
                - sylius.behat.context.transform.channel
                - sylius.behat.context.transform.country
                - sylius.behat.context.transform.currency
                - sylius.behat.context.transform.customer
                - sylius.behat.context.transform.lexical
                - sylius.behat.context.transform.locale
                - sylius.behat.context.transform.order
                - sylius.behat.context.transform.payment
                - sylius.behat.context.transform.product
                - sylius.behat.context.transform.product_variant
                - sylius.behat.context.transform.promotion
                - sylius.behat.context.transform.shipping_method
                - sylius.behat.context.transform.tax_category
                - sylius.behat.context.transform.taxon
                - sylius.behat.context.transform.zone

                - sylius.behat.context.transform.shared_storage

                - sylius.behat.context.ui.admin.managing_orders
                - sylius.behat.context.ui.admin.notification
                - sylius.behat.context.ui.channel
                - sylius.behat.context.ui.email
                - sylius.behat.context.ui.shop.cart
                - sylius.behat.context.ui.shop.checkout
                - sylius.behat.context.ui.shop.checkout.addressing
                - sylius.behat.context.ui.shop.checkout.complete
                - sylius.behat.context.ui.shop.currency

                - Tests\Sylius\PayPalPlugin\Behat\Context\Admin\ManagingOrdersContext

            filters:
                tags: "@managing_orders&&@ui"
